package at.ac.tuwien.vitalab.genesis2.plugin

/**
 * Collects/registers all method calls. 
 * 
 * @author Lukasz Juszczyk
 *
 */
class ClosureCallCollector {

    /** 
     * List of results.
     */
    Object calls=[]
    
    Object invokeMethod(String name, Object args) {
        if (args) {
            calls+=[[name,args.flatten()]]
        } else {
            calls+=[[name,null]]
        }
    }
    
    Object getProperty(String property) {
        if (property=="calls") {
            return calls
        }
        return super.getProperty(property)
    }
    
}
