package at.ac.tuwien.vitalab.genesis2.core.model;

/**
 * Interface for objects which have something to clean up, e.g. temp files.
 * 
 * @author Lukasz Juszczyk
 * 
 */
public interface ICleanable {

    /**
     * Clean up all artifacts.
     */
    void cleanup();

}
