package at.ac.tuwien.vitalab.genesis2.core.model.ws.wrappers;

/**
 * Interface for classes which replace objects for SOAP/XML serialization.
 * 
 * @author Lukasz Juszczyk
 */
public interface ISerializationObjectReplacer {

    /**
     * Replace.
     * 
     * @param value From.
     * @param rep Replacer.
     * 
     * @return To.
     */
    Object replace(Object value, ISerializationObjectReplacer rep);

}
