package at.ac.tuwien.vitalab.genesis2.errors;

/**
 * Internal exception (e.g., due to missing/erroneos internal G2 functionality)
 * on local host.
 * 
 * @author Lukasz Juszczyk
 * 
 */
public class G2LocalException extends G2Exception {

    private static final long serialVersionUID = -6485534469405538197L;

    /**
     * Constructor.
     */
    public G2LocalException() {
	super();
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     */
    public G2LocalException(String message) {
	super(message);
    }

    /**
     * Constructor.
     * 
     * @param cause Cause.
     */
    public G2LocalException(Throwable cause) {
	super(cause);
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     * @param cause Cause.
     */
    public G2LocalException(String message, Throwable cause) {
	super(message, cause);
    }

}
