package at.ac.tuwien.vitalab.genesis2.errors;

/**
 * Internal exception (e.g., due to missing/erroneos internal G2 functionality)
 * on remote host.
 * 
 * @author Lukasz Juszczyk
 * 
 */
public class G2RemoteException extends G2Exception {

    private static final long serialVersionUID = 5391711591313876582L;

    /**
     * Constructor.
     */
    public G2RemoteException() {
	super();
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     */
    public G2RemoteException(String message) {
	super(message);
    }

    /**
     * Constructor.
     * 
     * @param cause Cause.
     */
    public G2RemoteException(Throwable cause) {
	super(cause);
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     * @param cause Cause.
     */
    public G2RemoteException(String message, Throwable cause) {
	super(message, cause);
    }
}
