package at.ac.tuwien.vitalab.genesis2.plugin.hostlist.ws;

import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * Interface for Web service updating the host list.
 * 
 * @author Lukasz Juszczyk
 * 
 */
@WebService(name = "HostList")
public interface IHostListWebService {

    /**
     * Sets hosts.
     * 
     * @param hostsAndPorts List of Strings with hosts and ports.
     */
    @WebMethod
    public void setHosts(List<String> hostsAndPorts);

}
