package at.ac.tuwien.vitalab.genesis2.utils;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * URL Class loader where URL's can be appended at runtime.
 * 
 * @author Lukasz Juszczyk
 * 
 */
public class G2UrlClassLoader extends URLClassLoader {

    /**
     * Constructor.
     */
    public G2UrlClassLoader() {
	super(new URL[] {});
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.net.URLClassLoader#addURL(java.net.URL)
     */
    @Override
    public void addURL(URL url) { // just make it public
	super.addURL(url);
    }
}