package at.ac.tuwien.vitalab.genesis2.errors;

/**
 * Genesis2-specific error.
 * 
 * @author Lukasz Juszczyk
 * 
 */
public class G2Exception extends RuntimeException {

    private static final long serialVersionUID = -2428393411134732485L;

    /**
     * Constructor.
     */
    public G2Exception() {
	super();
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     */
    public G2Exception(String message) {
	super(message);
    }

    /**
     * Constructor.
     * 
     * @param cause Cause.
     */
    public G2Exception(Throwable cause) {
	super(cause);
    }

    /**
     * Constructor.
     * 
     * @param message Error message.
     * @param cause Cause.
     */
    public G2Exception(String message, Throwable cause) {
	super(message, cause);
    }

}
