package at.ac.tuwien.vitalab.genesis2.plugin;

import at.ac.tuwien.vitalab.genesis2.core.model.AbstractModelElement;

/**
 * Abstract class for plugins that do not provide a Web service.
 * 
 * @author Lukasz Juszczyk
 * 
 * @param <T>
 * 
 */
@SuppressWarnings("PMD.EmptyMethodInAbstractClassShouldBeAbstract")
public abstract class AbstractStandaloneGenesis2Plugin<T extends AbstractModelElement> extends
	AbstractGenesis2Plugin<T> {

    /*
     * (non-Javadoc)
     * 
     * @see
     * at.ac.tuwien.vitalab.genesis2.plugin.AGenesis2Plugin#getPluginWsClientClass
     * ()
     */
    @Override
    protected final Class<?> getPluginWsClientClass() {
	return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * at.ac.tuwien.vitalab.genesis2.plugin.AGenesis2Plugin#getPluginWsImplementor
     * ()
     */
    @Override
    public final Object getPluginWsImplementor() {
	return null;
    }

}
