package at.ac.tuwien.vitalab.genesis2.plugin.propagator.ws;

import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebService;

import at.ac.tuwien.vitalab.genesis2.core.model.ws.wrappers.KeyValueWrapper;

/**
 * Interface for Web service for Object Propagator Plugin.
 * 
 * @author Lukasz Juszczyk
 * 
 */
@WebService(name = "ObjectReplicator")
public interface IObjectPropagatorWebService {

    /**
     * Set a property globally.
     * 
     * @param kvws List of key value wrappers.
     */
    @WebMethod
    void set(List<KeyValueWrapper> kvws);
}
